Bug 968309 - "and equal to" option is not available in BRM (Guvnor)
"and equal to" option is not available in BRM (Guvnor)
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: GA
: ---
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks: 1022758
  Show dependency treegraph
 
Reported: 2013-05-29 08:37 EDT by Amana
Modified: 2016-07-31 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen2 (27.30 KB, image/png)
2013-05-29 08:38 EDT, Amana
no flags Details

  None (edit)
Description Amana 2013-05-29 08:37:45 EDT
Description of problem:

When using two comparators in Guvnor, the "and equal to" option is not available to be chosen as you can see in the picture attached (screen2). It is reproducible on BRMS 5.3.0 and 5.3.1.

Steps to Reproduce:
1. Go to Guvnor
2. Create a Rule which uses integer or text attribute
3. Add to comparator (first: is not null, second: you will see there is no "and equal to").
Comment 1 Amana 2013-05-29 08:38:09 EDT
Created attachment 754335 [details]
screen2
Comment 2 Amana 2013-11-06 10:10:44 EST
I see the same issue in "Red Hat JBoss BPM Suite 6.0.0 Beta 1 Deployable for EAP 6.1.0".
Comment 4 manstis 2013-11-19 10:53:27 EST
I have not ported to 6.0.x as the subject of "connective constraints" is under question: https://bugzilla.redhat.com/show_bug.cgi?id=1012553#c1

Note You need to log in before you can comment on or make changes to this bug.